List mandate details for statement
import requests
url = "https://api.paywise.de/v1/statements/{statement_id}/mandate-details/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/statements/{statement_id}/mandate-details/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/statements/{statement_id}/mandate-details/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/statements/{statement_id}/mandate-details/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/statements/{statement_id}/mandate-details/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"count": 3,
"next": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/mandate-details/?limit=10&offset=10",
"previous": null,
"results": [
{
"reference_number": "K25-ABC123",
"mandate": {
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833",
"reference_number": "K25-ABC123"
},
"closing": {
"closing_date": "2023-07-11",
"closing_code": "IN001",
"closing_description": "Claim fully collected",
"closing_type": "positive",
"accepted_main_claim_amount": {
"value": "500.00",
"currency": "EUR"
},
"remaining_main_claim_amount": {
"value": "89.13",
"currency": "EUR"
}
},
"third_party_money_entries": [
{
"vat_rate": "19.00",
"third_party_money": {
"vat_rate": "19.00",
"total_payments": {
"value": "500.00",
"currency": "EUR"
},
"payments_to_dca": {
"total_payments": {
"value": "327.09",
"currency": "EUR"
},
"allocation_to_fee": {
"value": "52.92",
"currency": "EUR"
},
"allocation_to_fee_vat": {
"value": "10.05",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "271.32",
"currency": "EUR"
},
"allocation_to_default_interest": {
"value": "2.85",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "2.85",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.54",
"currency": "EUR"
},
"payout": {
"value": "260.73",
"currency": "EUR"
}
},
"payments_to_client": {
"total_payments": {
"value": "100.00",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "95.83",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "4.17",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.79",
"currency": "EUR"
},
"payout": {
"value": "95.83",
"currency": "EUR"
}
},
"extraordinary_payouts_to_client": {
"total_payments": {
"value": "72.91",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "72.91",
"currency": "EUR"
},
"payout": {
"value": "72.91",
"currency": "EUR"
}
}
}
}
],
"cost_burden_entries": [
{
"vat_rate": "19.00",
"cost_burden": {
"vat_rate": "19.00",
"fee": {
"value": "74.90",
"currency": "EUR"
},
"fee_vat": {
"value": "14.23",
"currency": "EUR"
},
"total_amount": {
"value": "89.13",
"currency": "EUR"
}
}
}
]
},
{
"reference_number": "K25-DEF456",
"mandate": {
"href": "https://api.paywise.de/v1/mandates/7711783f-3cdb-5599-c34b-561c2ee2g944/",
"id": "7711783f-3cdb-5599-c34b-561c2ee2g944",
"reference_number": "K25-DEF456"
},
"closing": {
"closing_date": "2023-07-10",
"closing_code": "IN002",
"closing_description": "Partial payment received",
"closing_type": "positive",
"accepted_main_claim_amount": {
"value": "300.00",
"currency": "EUR"
},
"remaining_main_claim_amount": {
"value": "50.00",
"currency": "EUR"
}
},
"third_party_money_entries": [
{
"vat_rate": "19.00",
"third_party_money": {
"vat_rate": "19.00",
"total_payments": {
"value": "250.00",
"currency": "EUR"
},
"payments_to_dca": {
"total_payments": {
"value": "150.00",
"currency": "EUR"
},
"allocation_to_fee": {
"value": "30.00",
"currency": "EUR"
},
"allocation_to_fee_vat": {
"value": "5.70",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "114.30",
"currency": "EUR"
},
"allocation_to_default_interest": {
"value": "0.00",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "0.00",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.00",
"currency": "EUR"
},
"payout": {
"value": "114.30",
"currency": "EUR"
}
},
"payments_to_client": {
"total_payments": {
"value": "100.00",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "97.50",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "2.50",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.00",
"currency": "EUR"
},
"payout": {
"value": "97.50",
"currency": "EUR"
}
},
"extraordinary_payouts_to_client": {
"total_payments": {
"value": "0.00",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "0.00",
"currency": "EUR"
},
"payout": {
"value": "0.00",
"currency": "EUR"
}
}
}
}
],
"cost_burden_entries": [
{
"vat_rate": "19.00",
"cost_burden": {
"vat_rate": "19.00",
"fee": {
"value": "35.70",
"currency": "EUR"
},
"fee_vat": {
"value": "6.78",
"currency": "EUR"
},
"total_amount": {
"value": "42.48",
"currency": "EUR"
}
}
}
]
}
]
}
]
}Frozen v1 · List mandate details for statement
List and filter mandate details belonging to a specific statement.
GET
/
v1
/
statements
/
{statement_id}
/
mandate-details
/
List mandate details for statement
import requests
url = "https://api.paywise.de/v1/statements/{statement_id}/mandate-details/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/statements/{statement_id}/mandate-details/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/statements/{statement_id}/mandate-details/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/statements/{statement_id}/mandate-details/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/statements/{statement_id}/mandate-details/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"count": 3,
"next": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/mandate-details/?limit=10&offset=10",
"previous": null,
"results": [
{
"reference_number": "K25-ABC123",
"mandate": {
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833",
"reference_number": "K25-ABC123"
},
"closing": {
"closing_date": "2023-07-11",
"closing_code": "IN001",
"closing_description": "Claim fully collected",
"closing_type": "positive",
"accepted_main_claim_amount": {
"value": "500.00",
"currency": "EUR"
},
"remaining_main_claim_amount": {
"value": "89.13",
"currency": "EUR"
}
},
"third_party_money_entries": [
{
"vat_rate": "19.00",
"third_party_money": {
"vat_rate": "19.00",
"total_payments": {
"value": "500.00",
"currency": "EUR"
},
"payments_to_dca": {
"total_payments": {
"value": "327.09",
"currency": "EUR"
},
"allocation_to_fee": {
"value": "52.92",
"currency": "EUR"
},
"allocation_to_fee_vat": {
"value": "10.05",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "271.32",
"currency": "EUR"
},
"allocation_to_default_interest": {
"value": "2.85",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "2.85",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.54",
"currency": "EUR"
},
"payout": {
"value": "260.73",
"currency": "EUR"
}
},
"payments_to_client": {
"total_payments": {
"value": "100.00",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "95.83",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "4.17",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.79",
"currency": "EUR"
},
"payout": {
"value": "95.83",
"currency": "EUR"
}
},
"extraordinary_payouts_to_client": {
"total_payments": {
"value": "72.91",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "72.91",
"currency": "EUR"
},
"payout": {
"value": "72.91",
"currency": "EUR"
}
}
}
}
],
"cost_burden_entries": [
{
"vat_rate": "19.00",
"cost_burden": {
"vat_rate": "19.00",
"fee": {
"value": "74.90",
"currency": "EUR"
},
"fee_vat": {
"value": "14.23",
"currency": "EUR"
},
"total_amount": {
"value": "89.13",
"currency": "EUR"
}
}
}
]
},
{
"reference_number": "K25-DEF456",
"mandate": {
"href": "https://api.paywise.de/v1/mandates/7711783f-3cdb-5599-c34b-561c2ee2g944/",
"id": "7711783f-3cdb-5599-c34b-561c2ee2g944",
"reference_number": "K25-DEF456"
},
"closing": {
"closing_date": "2023-07-10",
"closing_code": "IN002",
"closing_description": "Partial payment received",
"closing_type": "positive",
"accepted_main_claim_amount": {
"value": "300.00",
"currency": "EUR"
},
"remaining_main_claim_amount": {
"value": "50.00",
"currency": "EUR"
}
},
"third_party_money_entries": [
{
"vat_rate": "19.00",
"third_party_money": {
"vat_rate": "19.00",
"total_payments": {
"value": "250.00",
"currency": "EUR"
},
"payments_to_dca": {
"total_payments": {
"value": "150.00",
"currency": "EUR"
},
"allocation_to_fee": {
"value": "30.00",
"currency": "EUR"
},
"allocation_to_fee_vat": {
"value": "5.70",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "114.30",
"currency": "EUR"
},
"allocation_to_default_interest": {
"value": "0.00",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "0.00",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.00",
"currency": "EUR"
},
"payout": {
"value": "114.30",
"currency": "EUR"
}
},
"payments_to_client": {
"total_payments": {
"value": "100.00",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "97.50",
"currency": "EUR"
},
"allocation_to_success_commission": {
"value": "2.50",
"currency": "EUR"
},
"allocation_to_success_commission_vat": {
"value": "0.00",
"currency": "EUR"
},
"payout": {
"value": "97.50",
"currency": "EUR"
}
},
"extraordinary_payouts_to_client": {
"total_payments": {
"value": "0.00",
"currency": "EUR"
},
"allocation_to_main_claim": {
"value": "0.00",
"currency": "EUR"
},
"payout": {
"value": "0.00",
"currency": "EUR"
}
}
}
}
],
"cost_burden_entries": [
{
"vat_rate": "19.00",
"cost_burden": {
"vat_rate": "19.00",
"fee": {
"value": "35.70",
"currency": "EUR"
},
"fee_vat": {
"value": "6.78",
"currency": "EUR"
},
"total_amount": {
"value": "42.48",
"currency": "EUR"
}
}
}
]
}
]
}
]
}This page documents a frozen v1 API. It receives only critical correctness or
security corrections. For new integrations, use the current API
and follow the linked migration guide.
Autorisierungen
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Abfrageparameter
Filter by the document number of a claim (document_reference), usually your invoice number.
Number of results to return per page.
The initial index from which to return the results.
Filter for mandate details that match our case reference number.
Filter by your claim reference (your_reference): the free-form reference you assigned to the claim, e.g. an order or contract reference. This is explicitly not the invoice/document number; use document_reference for that.
